Skip to main content
`Ctrl`+`K`

# TSGetEquationType

Gets the type of the equation that `TS` is solving.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetEquationType(TS ts, TSEquationType *equation_type)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- equation_type - see `TSEquationType`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetEquationType()`, `TSEquationType`

## Level

beginner

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages